set(0,'DefaultAxesFontSize',14,'DefaultAxesFontName','Arial');
fs=20;

cstr=['b','r','m','g'];

if nm>nft
    N_perm=1:N;
    index=find(perm_c(perm_pat(:,end)==max(perm_pat(:,end)),it_sel.in)); %display heatmaps of factor combinations visited most often
else
    index=it_sel.in;
end
Pla=mean((betamc(N_perm,:,index)),3);
figure
heatmap(Pla(:,1:nft), 1:nft,[],[],'Colormap','red','ColorLevels',64,'ColorBar',1,'FontSize',14)
ylabel('variables')
xlabel('factors')
title('$E(\beta_{ij}|\cdot)=1/M\sum_m \beta_{ij}^{(m)}$','Interpreter','Latex')

Pla=median((lamstarmc(N_perm,:,index).*(betamc(N_perm,:,index)>0.5)),3).*(median(betamc(N_perm,:,index),3)>.5);
figure
heatmap(Pla(:,1:nft), 1:nft,[],[],'Colormap','money','ColorLevels',62,'ColorBar',1,'FontSize',14)
ylabel('variables')
xlabel('factors')
title('med$(\lambda_{ij}^{(m)}I_{\{\beta_{ij}^{(m)}>0.5\}}|\cdot)I_{\{\textrm{med}(\beta_{ij})>0.5\}}$','Interpreter','Latex')
Pla=median((lamstarmc(N_perm,:,index).*(betamc(N_perm,:,index)>0.5)),3)~=0;
figure
heatmap(Pla(:,1:nft), 1:nft,[],[],'Colormap','red','ColorLevels',64,'ColorBar',1,'FontSize',14)
ylabel('variables')
xlabel('factors')
title('med$(\lambda_{ij}^{(m)}I_{\{\beta_{ij}^{(m)}>0.5\}}|\cdot)\neq 0$','Interpreter','Latex')

