% the same principle as in permute_factors except that the least correlated draws are ranked last, in no specific order
% sign switch is performed for the remaining factor draws separately

nf=size(ftmcstar,2);
nfmed=size(ftstmed,2);
MMC=size(ftmcstar,3);

factors=(1:nf);
it_sel=struct([]);
it_sel(1).out=[];
it_sel(1).in=[];
nft=size(ftstmed,2);
nm=nft;
perm_pat=[];

for mc=1:MMC;
    %     lamstarmc(:,:,mc)=full(Mc.lamsp(mc).draw);
    si=[];sih=[];
    co_mat=corr(ftstmed,ftmcstar(:,:,mc));
    co_max=max(abs(co_mat),[],1);
    ind_co=(abs(co_mat)==kron(ones(nm,1),co_max));
    [r c]=find(abs(co_mat)==kron(ones(size(ftstmed,2),1),co_max));
    for j=1:max(r)
        fp=c(r==j)';
        si=[si fp(find(abs(co_max(c(r==j)))==(max(co_max(c(r==j))))))];
        sih=[sih fp(find(~(abs(co_max(c(r==j)))==(max(co_max(c(r==j)))))))];
    end
    if size(sih,1)>1;
        sih=sih';
    end
    si=[si sih];
    
    co_sign=sign(co_mat(ind_co));
    
    it_sel(1).in(end+1)=mc;
    co_sign=co_sign(si);
    ind_sig=find(co_sign<0);
    
    lamstarmc(:,:,mc)=lamstarmc(:,si,mc);
    if prior==2
        betamc(:,:,mc)=betamc(:,si,mc);
    end
    ftmcstar(:,:,mc)=ftmcstar(:,si,mc);
    for l=1:philag
        phistarmc(:,[1:nf]+(l-1)*nf,mc)=phistarmc(si,si+(l-1)*nf,mc);
    end
    if prior
        rhomc(:,1,mc)=rhomc(si,1,mc);
    end
    taumc(:,1,mc)=taumc(si,1,mc);
    
    
    if any(ind_sig(ind_sig<=nfmed))
        ind_sigi=ind_sig(ind_sig<=nfmed);
        nk=find(~sum(factors(ones(1,length(ind_sigi)),:)==ind_sigi(:,ones(1,nf)),1));
        lamstarmc(:,ind_sigi,mc)=-lamstarmc(:,ind_sigi,mc);
        ftmcstar(:,ind_sigi,mc)=-ftmcstar(:,ind_sigi,mc);
        for l=1:philag
            phistarmc(nk,ind_sigi+(l-1)*nf,mc)=-phistarmc(nk,ind_sigi+(l-1)*nf,mc);
            phistarmc(ind_sigi,nk+(l-1)*nf,mc)=-phistarmc(ind_sigi,nk+(l-1)*nf,mc);
        end
    end
    
end

if any(sih)
    for j=nfmed+1:nf
        ind_sigi=find(corr(ftmcstar(:,j,1),permute(ftmcstar(:,j,:),[1 3 2]))<0);
        nk=find(factors~=j);
        lamstarmc(:,j,ind_sigi)=-lamstarmc(:,j,ind_sigi);
        ftmcstar(:,j,ind_sigi)=-ftmcstar(:,j,ind_sigi);
        for l=1:philag
            phistarmc(nk,k+(l-1)*nf,ind_sigi)=-phistarmc(nk,k+(l-1)*nf,ind_sigi);
            phistarmc(j,nk+(l-1)*nf,ind_sigi)=-phistarmc(j,nk+(l-1)*nf,ind_sigi);
        end
        
    end
end
lamstarm=median(lamstarmc(:,:,it_sel.in).*(betamc(:,:,it_sel.in)>0.5),3);
%median(lamstarmc(:,:,it_sel.in),3);%.*(betamc(:,:,it_sel.in)>0.5),3);
s_ind=checkpositivity(lamstarm(:,1:nft));
if any(s_ind)
    nk=find(~sum(factors(ones(1,length(s_ind)),:)'==s_ind(ones(1,nf),:),2));
    lamstarmc(:,s_ind,it_sel(1).in)=-lamstarmc(:,s_ind,it_sel(1).in);
    ftmcstar(:,s_ind,it_sel(1).in)=-ftmcstar(:,s_ind,it_sel(1).in);
    for l=1:philag
        phistarmc(nk,s_ind+(l-1)*nf,it_sel(1).in)=-phistarmc(nk,s_ind+(l-1)*nf,it_sel(1).in);
        phistarmc(s_ind,nk+(l-1)*nf,it_sel(1).in)=-phistarmc(s_ind,nk+(l-1)*nf,it_sel(1).in);
    end
end


% %descending order of exclusive or non-zero factor loadings
if prior>0
    %     [lao,si]=sort(sum(lamstarm(:,1:nft)~=0),'descend');
    lamstarm=lamstarm~=0;
    excl_load=zeros(1,nft);
    for j=1:nft
        excl_load(j)=sum((lamstarm(:,j)-any(lamstarm(:,[1:j-1 j+1:nft]),2))>0);
    end
    [excl_load,si]=sort(excl_load,'descend');
    
    
    excl_beg=[1 find(excl_load(2:end)~=excl_load(1:end-1))+1];
    excl_end=[excl_beg(2:end)-1 length(excl_load)];
    
    for j=1:length(excl_beg)
        if excl_beg(j)~=excl_end(j)
            [cord,ssi]=sort(sum(lamstarm(:,si(excl_beg(j):excl_end(j)))),'descend');
            sord=si(excl_beg(j):excl_end(j));
            si(excl_beg(j):excl_end(j))=sord(ssi);
        end
    end
    
    lamstarmc(:,1:nft,:)=lamstarmc(:,si,:);
    ftmcstar(:,1:nft,:)=ftmcstar(:,si,:);
    for l=1:philag
        phistarmc(1:nft,(1:nft)+(l-1)*nf,:)=phistarmc(si,si+(l-1)*nf,:);
    end
    if prior==2
        betamc(:,1:nft,:)=betamc(:,si,:);
    end
    if prior
        rhomc(1:nft,1,:)=rhomc(si,1,:);
    end
    taumc(1:nft,1,:)=taumc(si,1,:);
    
    if nft==19
        si_mod50 = [1     5     3     7    12     4    19     9     6    13    16     8    11    14 ...
            17    18     2    10    15];
        lamstarmc(:,1:nft,:)=lamstarmc(:,si_mod50,:);
        ftmcstar(:,1:nft,:)=ftmcstar(:,si_mod50,:);
        if prior==2
            betamc(:,1:nft,:)=betamc(:,si_mod50,:);
        end
        if prior
            rhomc(1:nft,1,:)=rhomc(si_mod50,1,:);
        end
        
    end
end
