function [yret] = lagtrans_ind(dat,lagvec,lagcoeff);
% procedure to premultiply a vector of variables dyt by a lag polynomial
% dyt*=phi(L)dyt 

nobs=size(dat,1);
nlags=max(lagvec);
phimat=lagcoeff';
yret=dat(1+nlags:nobs,:);
for Iind=1:nlags;
    yret=yret-dat(1+nlags-Iind:nobs-Iind,:).*phimat(Iind*ones(1,nobs-nlags),:);
end;


