function fd = pmultnormlog(y,prm,prv)

% auswerten einer multivariaten normalverteilung fuer verscheidene argumente mit verschiedenen
% parametern - ergebnis: log des funktionswertes

%input: 
% y ... matrix; enthlt die argumante
% prm ... mean 
% prv ... varianz

%output: funktionswerte 


fln = -0.5*log(prv)-0.5*log(2*pi);
flg = -0.5*(y-prm).^2./prv;
fd = fln+flg;
