function [ac,phistar,psi,sigeps,phimp,phiip,psimp,psiip,sigepspost]=simparstarexlamda(y,ft,lam,phistar_old,psi_old,sigeps_old,psilag,philag,f_ind,p0,P0,q0,Q0,sigeps0);

T=min(size(y,1),size(ft,1));
N=size(y,2);
nf=size(ft,2);
yt0=y(end-T+1:end,:);
ft0=ft(end-T+1:end,:);
ac=1;

if ~f_ind
    phistar=randn(nf^2*philag,1);
elseif f_ind
    phistar=zeros(nf*philag,nf);
    phistar(find(phistar_old'))=randn(nf*philag,1);
end
psi=randn(N,psilag);
%sigeps=zeros(N,1);
psimp=zeros(psilag,N);
psiip=zeros(psilag*(psilag+1)/2,N);
phimp=zeros(nf^2*philag,1);
phiip=zeros(nf^2*philag*(nf^2*philag+1)/2,1);


resi=yt0-ft0*lam';
xtild=permute(resi,[1 3 2]);
xtild_l=[];

if psilag
    ind=chol_indlodiag(psilag);
    % psi's and sigma's
    for j=1:psilag
        xtild_l=[xtild_l xtild(psilag+1-j:end-j,:,:)];
    end
    xtild=xtild(psilag+1:end,:,:);
    resi=resi(psilag+1:end,:);

    for j=1:N
        Qp=inv(sigeps_old(j)^(-1).*(xtild_l(:,:,j)'*xtild_l(:,:,j))+Q0(:,:,j));
        cQp=chol(Qp)';
        qp=Qp*(sigeps_old(j)^(-1).*(xtild_l(:,:,j)'*xtild(:,1,j))+Q0(:,:,j)*q0(j,:)');
        psi(j,:)= (qp +cQp*psi(j,:)')';
        psimp(:,j)=qp;
        psiip(:,j)=cQp(ind)';
    end
    ind=find(abs(sum(psi,2))>1);
    psi(ind,:)=psi_old(ind,:);
    resi=resi-reshape(sum(xtild_l.*permute(psi(:,:,ones(1,T-psilag)),[3 2 1]),2),T-psilag,N);
end

sigepspost=[sigeps0(:,1)+0.5*(T-psilag) sigeps0(:,2)+0.5*sum(resi.^2,1)'];
sigeps= 1./gamrnd(sigepspost(:,1),1./sigepspost(:,2));

if philag
    ind=chol_indlodiag(nf^2*philag);
    ftstar=ft;
    ft0=ftstar;
    ftk=[];

    for j=1:philag
        ftk=[ftk ft0(philag+1-j:end-j,:)];
    end
    ft0=ft0(philag+1:end,:);
    ft0k=ft0;
    if ~f_ind
    ftk=sparse(kron(eye(nf),ftk));
    Pp= inv(ftk'*ftk+P0);
    cPp=full(chol(Pp)');
    pp= Pp*(ftk'*ft0k(:)+P0*p0);

    phistar= full(pp + cPp*phistar);
    phistar=reshape(phistar,nf*philag,nf)';
    phimp=pp;
    phiip=cPp(ind)';
    elseif f_ind
       for j=1:nf
           Pp=inv(ftk(:,[0:(philag-1)]*nf+j)'*ftk(:,[0:(philag-1)]*nf+j)+P0(:,:,j));
            pp= Pp*(ftk(:,[0:(philag-1)]*nf+j)'*ft0k(:,j)+P0(:,:,j)*p0(j,:)');
            phistar([0:(philag-1)]*nf+j,j)= pp + chol(Pp)'*phistar([0:(philag-1)]*nf+j,j);
       end
       phistar=phistar';
    end
            
    if any(abs(eig([phistar;eye(nf*(philag-1),nf*philag)]))>1)
        phistar=phistar_old;
    end
end



